Installation

Server Requirements

Before you install FleetCart make sure your server meets the following requirements:

  • PHP 7.1.13+
  • MySQL 5.6+ or MariaDB 10.0+
  • Intl PHP Extension
  • OpenSSL PHP Extension
  • PDO PHP Extension
  • Mbstring PHP Extension
  • Tokenizer PHP Extension
  • XML PHP Extension
  • Ctype PHP Extension
  • JSON PHP Extension

Installing FleetCart

Step 1: Extract and Upload

Unzip the downloaded archive package. Rename the FleetCart directory to your desired directory name and upload the directory to your web server through FTP or Control Panel.

Step 2: Creating Database

Create a database for FleetCart through your server control panel. If your server has phpMyAdmin, then you can also create a database using phpMyAdmin.

Step 3: Run Installation Wizard

Go to your website address, then you'll see an installation wizard.

WARNING

You should configure your web server's document / web root to be the public directory.

Pre Installation

Pre Installation page checks if your server meets the requirements and has the correct directory permissions to setup FleetCart.

Directories within the storage and the bootstrap/cache directories should be writable by your web server or FleetCart will not run.

install page pre installation step

Configuration

You need to fill the database connection details, administration details, and store details, then click the Install button to install FleetCart.

install page configuration step

Complete

You'll see a success message after successfully installing FleetCart. You now have the option to browse your online store or log into the administration panel.

install page complete step